Package org.silverpeas.components.classifieds.control

# Enum Class ClassifiedsRole

java.lang.Object
java.lang.Enum<ClassifiedsRole>
org.silverpeas.components.classifieds.control.ClassifiedsRole

All Implemented Interfaces:
  `Serializable`, `Comparable<ClassifiedsRole>`, `Constable`

public enum ClassifiedsRole extends Enum<ClassifiedsRole> implements Comparable<ClassifiedsRole>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANONYMOUS`
  `MANAGER`
  `PUBLISHER`
  `READER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `static ClassifiedsRole`
  `getRole(String roleName)`
  `static ClassifiedsRole`
  `getRole(String[] profiles)`
  `static ClassifiedsRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClassifiedsRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

- ## Enum Constant Details

  - ### ANONYMOUS

    public static final ClassifiedsRole ANONYMOUS

  - ### READER

    public static final ClassifiedsRole READER

  - ### PUBLISHER

    public static final ClassifiedsRole PUBLISHER

  - ### MANAGER

    public static final ClassifiedsRole MANAGER

- ## Method Details

  - ### values

    public static ClassifiedsRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClassifiedsRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns:
      the name

  - ### getRole

    public static ClassifiedsRole getRole(String roleName)

  - ### getRole

    public static ClassifiedsRole getRole(String[] profiles)